-- A meditation level for Enigma
--
-- Alain Busser
-- Licensed under the GPL version 2.0 or newer


dofile(enigma.FindDataFile("levels/ant.lua"))

cells={}

cells[" "]=cell{floor="fl-leaves"}
cells["#"]=cell{stone="st-likeoxyda"}
cells["o"]=cell{actor={"ac-whiteball-small", {player=0}}}
cells["+"]=cell{item="it-hollow"}

level = {
   "####################",
   "#        oo        #",
   "# ################ #",
   "# #              # #",
   "# # #####  ##### # #",
   "# # #          # # #", 
   "#   # # # +# # #   #",
   "# # #          # # #",
   "# # #####  ##### # #",
   "# #              # #",
   "# ################ #",
   "#        +         #",
   "####################"
}


set_default_parent(cells[" "])

create_world_by_map(level,cells)

oxyd_shuffle()
